Bug 818917 - Blueman should shil /var/lib/blueman in its payload.
Blueman should shil /var/lib/blueman in its payload.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 06:56 EDT by Daniel Walsh
Modified: 2013-08-01 01:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:58:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-05-04 06:56:12 EDT
Description of problem:


In order to guarantee proper SELinux labeling apps need to list their files/directories in their payload.  Also it looks like /var/lib/blueman is created based on the UID of the user connecting?  Although I am only seeing this in the audit logs, Shouldn't this directory be owned by root.

----
type=PATH msg=audit(05/03/2012 17:17:25.150:317) : item=0 name=/var/lib/blueman 
inode=393218 dev=fd:01 mode=dir,775 ouid=dwalsh ogid=dwalsh rdev=00:00 obj=syste
m_u:object_r:var_lib_t:s0 
type=CWD msg=audit(05/03/2012 17:17:25.150:317) :  cwd=/ 
type=SYSCALL msg=audit(05/03/2012 17:17:25.150:317) : arch=x86_64 syscall=mkdir 
success=no exit=-13(Permission denied) a0=0x14b9ad0 a1=0777 a2=0x3bf43b39c8 a3=0
x20 items=1 ppid=1 pid=2332 auid=unset uid=root gid=root euid=root suid=root fsu
id=root egid=root sgid=root fsgid=root tty=(none) ses=unset comm=blueman-mechani
 exe=/usr/bin/python2.7 subj=system_u:system_r:blueman_t:s0-s0:c0.c1023 key=(nul
l) 
type=AVC msg=audit(05/03/2012 17:17:25.150:317) : avc:  denied  { dac_override } for  pid=2332 comm=blueman-mechani capability=dac_override  scontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tcontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tclass=capability
Comment 1 Fedora End Of Life 2013-07-03 21:29:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 01:58:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.